1. 03 Jul, 2018 1 commit
  2. 30 Jun, 2018 1 commit
  3. 22 Nov, 2017 1 commit
  4. 21 Nov, 2017 1 commit
  5. 15 Nov, 2017 1 commit
  6. 06 Oct, 2017 1 commit
  7. 28 Sep, 2017 1 commit
  8. 20 Sep, 2017 1 commit
  9. 11 Sep, 2017 1 commit
  10. 01 Sep, 2017 1 commit
  11. 23 Aug, 2017 1 commit
  12. 21 Aug, 2017 1 commit
  13. 11 Aug, 2017 1 commit
  14. 08 Aug, 2017 1 commit
  15. 25 Jul, 2017 1 commit
  16. 18 Jul, 2017 1 commit
  17. 11 Jul, 2017 1 commit
  18. 08 Jul, 2017 1 commit
    • Kali Kaneko's avatar
      [feat] use OpenSSL backend for scrypt if available · 88d52a57
      Kali Kaneko authored and Victor's avatar Victor committed
      This needs OpenSSL >= 1.1, otherwise it will keep using the scrypt
      dependency.
      
      We should think about deprecating scrypt as a dependency when we can be
      sure that the adoption of libssl 1.1 is wide enough. I think that at
      some point (soledad 0.11 or so) we can drop the scrypt dependency, which
      was being somehow problematic at times (the _scrypt.so was not appearing
      when installing with pip, needed workarounds). From that moment on, we
      can raise an error if an old libssl is found and no scrypt can be
      imported - leaving that to the user/packager.
      
      In debian stretch and afterwards, you can get that version by installing
      libssl-dev
      
      - Related: #8472
      88d52a57
  19. 01 Jun, 2017 1 commit
  20. 31 May, 2017 1 commit
  21. 17 Mar, 2017 2 commits
  22. 13 Mar, 2017 1 commit
  23. 22 Dec, 2016 1 commit
  24. 27 Nov, 2016 1 commit
  25. 09 Nov, 2016 1 commit
  26. 14 Jul, 2016 1 commit
  27. 18 Apr, 2016 1 commit